/*global requirejs:false */
/*jslint browser: true */

requirejs.config({
    baseUrl: 'js/lib',
    paths: {
        app: '../app'
    },
    shim: {
        'bootstrap': ['jquery']
    }
});

requirejs(["jquery", "bootstrap", "knockout", "app/main", "app/notifications"], function ($, bootstrap, ko, main, notifications) {
    "use strict";

    // Locals
    var viewModel, eventSource;

    // Build the view model.
    viewModel = new main.ViewModel();

    // Apply the bindings.
    console.log("Applying KO bindings");
    ko.applyBindings(viewModel);

    // Initial load of all the JSON data.
    viewModel.reload();

    // Start up notifications
    notifications.startNotifications(viewModel.reload);
});
